# $Revision: 1.120 $, $Date: 2012/05/11 14:28:11 $
Summary:	Mathomatic - a symbolic math program
Summary(hu.UTF-8):	Mathomatic - szimbolikus számításokra képes program
Summary(pl.UTF-8):	Mathomatic - program do matematyki symbolicznej
Name:		mathomatic
Version:	15.8.4
Release:	1
License:	LGPL
Group:		Applications/Math
Source0:	http://www.panix.com/~gesslein/%{name}-%{version}.tar.bz2
# Source0-md5:	9b58f8221e76a80f847f31a67bf01401
URL:		http://www.mathomatic.com/math/
BuildRequires:	ncurses-devel
BuildRequires:	readline-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mathomatic is a symbolic math program that can automatically solve,
simplify, differentiate, combine, and compare algebraic equations,
perform polynomial and complex arithmetic, etc. The C source code is
available for a UNIX/Linux freeware version. It was written by George
Gesslein II and has been under development since 1986.

%description -l hu.UTF-8
Mathomatic egy szimbolikus számításokra képes program, amely
automatikus megold, egyszerűsít, differenciál, kombinál és hasonlít
össze algebrai egyenleteket, ismeri polinomikus és komplex
aritmetikát, stb. A C forráskód elérhető UNIX/Linux-ra. George
Gesslein II írta, és 1986 óta fejlesztik.

%description -l pl.UTF-8
Mathomatic jest pakietem do obliczeń w matematyce symbolicznej, który
może automatycznie rozwiązywać, upraszczać, różnicować, kombinować i
porównywać równania algebraiczne. Kod w C jest dostępny darmowo dla
środowisk UNIX/Linux. Został napisany przez George Gesslein II i jest
rozwijany od roku 1986.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -DUNIX -DREADLINE -DVERSION=\\"\"%{version}\\"\" -I%{_includedir}/ncurses" \
	LDFLAGS="%{rpmldflags}" \
	LDLIBS="-lm -lreadline -ltinfow" \
	READLINE=1

%install
rm -rf $RPM_BUILD_ROOT
install -D %{name} $RPM_BUILD_ROOT%{_bindir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.txt doc/*.html
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mathomatic.spec,v $
Revision 1.120  2012/05/11 14:28:11  uzsolt
- 15.8.4

Revision 1.119  2012/04/29 18:45:40  uzsolt
- 15.8.3

Revision 1.118  2012/03/25 08:07:42  uzsolt
- 15.8.2

Revision 1.117  2012/02/19 17:17:48  uzsolt
- 15.8.0

Revision 1.116  2012/02/02 11:46:39  uzsolt
- 15.7.3

Revision 1.115  2011/11/18 21:18:01  uzsolt
- 15.7.1

Revision 1.114  2011/11/03 08:19:06  uzsolt
- 15.7.0

Revision 1.113  2011/09/26 06:23:04  uzsolt
- 15.6.5

Revision 1.112  2011/08/25 07:12:13  uzsolt
- 15.6.4

Revision 1.111  2011/06/12 17:26:35  uzsolt
- 15.6.2

Revision 1.110  2011/06/06 06:56:16  uzsolt
- 15.6.1
- removed empty exampledir

Revision 1.109  2011/05/04 09:46:50  uzsolt
- 15.6.0

Revision 1.108  2011/04/20 11:01:00  uzsolt
- 15.5.3

Revision 1.107  2011/03/22 07:57:38  uzsolt
- 15.5.2

Revision 1.106  2011/03/11 07:46:01  uzsolt
- 15.5.1

Revision 1.105  2011/02/28 07:56:11  uzsolt
- 15.5.0

Revision 1.104  2011/02/15 00:48:37  uzsolt
- 15.4.4

Revision 1.103  2011/02/08 13:15:24  uzsolt
- 15.4.3

Revision 1.102  2011/02/01 20:28:33  uzsolt
- 15.4.2

Revision 1.101  2011/01/11 20:42:51  uzsolt
- 15.4.0

Revision 1.100  2011/01/04 21:42:32  uzsolt
- 15.3.7

Revision 1.99  2010/11/27 12:37:28  uzsolt
- 15.3.4

Revision 1.98  2010/11/09 13:25:17  uzsolt
- 15.3.3

Revision 1.97  2010/10/31 12:49:41  uzsolt
- 15.3.2

Revision 1.96  2010/10/10 11:19:35  uzsolt
- 15.3.0

Revision 1.95  2010/09/05 14:44:18  uzsolt
- 15.2.1

Revision 1.94  2010/08/24 14:55:21  uzsolt
- 15.2.0

Revision 1.93  2010/07/21 10:56:36  uzsolt
- 15.1.5
- use LDLIBS and link tinfow

Revision 1.92  2010/05/25 12:27:33  uzsolt
- -15.1.1

Revision 1.91  2010/04/20 12:51:23  uzsolt
- 15.0.7

Revision 1.90  2010/03/28 11:13:08  uzsolt
- 15.0.6

Revision 1.89  2010/01/28 09:11:13  amateja
- updated to 15.0.5

Revision 1.88  2010/01/21 07:10:09  amateja
- updated to 15.0.4

Revision 1.87  2010/01/11 09:22:50  amateja
- updated to 15.0.3

Revision 1.86  2009/12/28 08:15:52  amateja
- updated to 15.0.2

Revision 1.85  2009/12/19 12:01:07  amateja
- updated to 15.0.1

Revision 1.84  2009/12/04 07:29:22  amateja
- updated to 15.0.0

Revision 1.83  2009/11/26 12:34:29  amateja
- updated to 14.6.3

Revision 1.82  2009/11/24 07:53:49  amateja
- updated to 14.6.2

Revision 1.81  2009/11/16 08:45:34  amateja
- updated to 14.6.1

Revision 1.80  2009/10/29 06:03:46  amateja
- updated to 14.5.7

Revision 1.79  2009/10/15 06:18:44  amateja
- updated to 14.5.6

Revision 1.78  2009/09/18 06:49:18  amateja
- updated to 14.5.5

Revision 1.77  2009/05/25 19:09:58  amateja
- updated to 14.4.3
- resolved build problem

Revision 1.76  2008/12/08 18:09:49  uzsolt
- added TODO (build problem)
- rel 1.1

Revision 1.75  2008/12/07 13:42:50  uzsolt
- up to 14.2.5

Revision 1.74  2008/11/03 17:09:30  uzsolt
- up to 14.2.2
- hu summary and description
- adapterized

Revision 1.73  2008/08/27 18:39:50  rotom
- up to 14.1.4

Revision 1.72  2008/06/11 07:06:51  lkrotowski
- up to 14.0.4

Revision 1.71  2008-04-23 18:34:40  rotom
- 14.0.0

Revision 1.70  2007-12-28 02:49:50  zbyniu
- up to 12.8.3

Revision 1.69  2007-11-01 18:52:15  rotom
- up to 12.7.9

Revision 1.68  2007/06/18 17:21:45  rotom
- up to 12.7.3

Revision 1.67  2007/05/16 12:46:03  zbyniu
- up to 12.7.0

Revision 1.66  2007/02/13 06:46:53  glen
- tabs in preamble

Revision 1.65  2007/02/12 00:49:07  baggins
- converted to UTF-8

Revision 1.64  2006/06/07 20:06:08  speedo
- updated 12.5.17

Revision 1.63  2006/04/14 19:28:19  darekr
- updated to 12.5.13

Revision 1.62  2006/02/28 15:23:12  rotom
- up to 12.5.10

Revision 1.61  2006/02/12 15:19:42  rotom
- updated to 12.5.8

Revision 1.60  2005/12/30 09:51:05  adamg
- updated to 12.5.5

Revision 1.59  2005/11/09 13:43:19  undefine
- up to 12.5.1

Revision 1.58  2005/10/22 13:52:22  speedo
- updated to 12.5.0

Revision 1.57  2005/10/09 08:40:36  paszczus
- updated to 12.4.12

Revision 1.56  2005/09/17 11:44:34  arekm
- new readline 5.0

Revision 1.55  2005/08/30 18:08:59  paszczus
- updated to 12.4.10

Revision 1.54  2005/07/30 07:19:06  paszczus
- updated to 12.4.6

Revision 1.53  2005/07/19 20:47:25  paszczus
- updated to 12.4.5

Revision 1.52  2005/06/13 10:52:09  undefine
- up to 12.4.2

Revision 1.51  2005/05/30 12:38:23  paszczus
- updated to 12.4.0

Revision 1.50  2005/05/24 15:30:07  paszczus
- updated to 12.3.3

Revision 1.49  2005/05/14 17:37:45  paszczus
- updated to 12.3.2

Revision 1.48  2005/05/09 09:16:28  paszczus
- updated to 12.3.1

Revision 1.47  2005/04/27 13:37:22  paszczus
- updated to 12.3

Revision 1.46  2005/04/20 06:20:30  paszczus
- updated to 12.2e

Revision 1.45  2005/04/06 19:31:29  paszczus
- updated to 12.2c

Revision 1.44  2005/03/28 07:20:59  paszczus
- updated to 12.2b

Revision 1.43  2005/03/11 18:29:05  paszczus
- updated to 12.1e

Revision 1.42  2005/03/04 23:01:10  paszczus
- updated to 12.1d

Revision 1.41  2005/02/27 10:32:32  paszczus
- updated to 12.1c

Revision 1.40  2005/02/19 11:58:36  paszczus
- updated to 12.1b

Revision 1.39  2005/02/14 22:05:28  paszczus
- updated to 12.1

Revision 1.38  2005/02/07 17:25:39  paszczus
- updated to 12.0

Revision 1.37  2005/01/27 23:16:49  paszczus
- updated to 11.7

Revision 1.36  2005/01/23 08:46:04  paszczus
- updated to 11.6e

Revision 1.35  2005/01/13 19:38:56  paszczus
- updated to 11.6d

Revision 1.34  2005/01/06 09:25:47  paszczus
- updated to 11.6c

Revision 1.33  2005/01/01 11:14:46  paszczus
- updated to 11.6b

Revision 1.32  2004/12/23 12:15:51  paszczus
- updated to 11.6

Revision 1.31  2004/12/12 22:12:16  undefine
- up to 11.5d

Revision 1.30  2004/11/29 10:35:44  paszczus
- updated to 11.5c

Revision 1.29  2004/11/23 14:31:51  paszczus
- updated to 11.5b

Revision 1.28  2004/11/10 20:19:30  paladine
- updated to 11.5

Revision 1.27  2004/10/29 19:10:06  undefine
- update to 11.4d

Revision 1.26  2004/10/11 08:40:19  paladine
- updated to 11.4b

Revision 1.25  2004/10/03 14:51:47  paladine
- updated to 11.4

Revision 1.24  2004/09/22 20:31:52  paszczus
- updated to 11.3f

Revision 1.23  2004/09/16 15:27:08  paszczus
- updated to 11.3e

Revision 1.22  2004/09/02 10:25:18  snurf
- typos / formatting / etc.

Revision 1.21  2004/08/11 11:04:21  undefine
- update to 11.3c

Revision 1.20  2004/08/01 00:28:55  undefine
- update to 11.3b

Revision 1.19  2004/06/28 16:09:16  undefine
- release 2 for AC

Revision 1.18  2004/06/28 15:58:31  undefine
- update to 11.2d, release 1 for RA

Revision 1.17  2004/06/24 20:11:04  undefine
- update to 11.2c

Revision 1.16  2004/05/30 18:00:40  qboosh
- allow spaces in __cc

Revision 1.15  2004/05/30 14:16:53  undefine
- update to 11.1d, release 2 for AC

Revision 1.14  2004/05/13 14:56:45  undefine
- release 2 for AC

Revision 1.13  2004/05/13 14:55:13  undefine
- upgrade to 11.1

Revision 1.12  2004/03/28 23:12:03  undefine
- release 2 for AC

Revision 1.11  2004/03/28 23:09:55  undefine
- update to 10.9c

Revision 1.10  2004/02/29 18:55:21  undefine
- update to 10.8e, add optflags -O0 (yes, stupid...)

Revision 1.9  2004/02/13 21:47:10  undefine
- update to 10.8c. release 0.1, waing for qboosh ;) (warning after compiling
  with -O1 or higher optimalization)

Revision 1.8  2004/01/10 12:23:37  undefine
- update to 10.8

Revision 1.7  2003/12/01 01:46:29  undefine
- update to 10.7b

Revision 1.6  2003/09/05 17:01:20  undefine
- update to 10.5

Revision 1.5  2003/08/18 16:35:06  blues
- cleanup

Revision 1.4  2003/08/14 14:10:54  qboosh
- cleanups once more

Revision 1.3  2003/08/14 13:50:33  undefine
- renamed ac to amc to avoid conflict with psacct, release 2

Revision 1.2  2003/08/14 13:45:09  qboosh
- cleanups

Revision 1.1  2003/08/14 13:31:07  undefine
- initial pld version, stbr ra-updates-general
